
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android应用程序(Application)的主要组件 / iVAN</title>

    <meta name="description" content="Android应用程序(Application)的主要组件 Android应用程序的各个组件使用Manifest(清单)绑定到一起; 主要包括 1. Activity: 表示层, 使用Fragment和View来布局和显示信息, 以及响应用户动作; 2. Service: 运行时没有UI, 更新数据源和Activity, 触发Notification(通知)和广播Intent; 3. Content Provider:用来管理和持久化应用程序数据, 通常会与SQL数据库交互; 4. Intent:可以用来启动和停止Activity和Service, 在系">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android应用程序(Application)的主要组件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Android应用程序的各个组件使用Manifest(清单)绑定到一起;</p>
<p>主要包括</p>
<p>1. Activity: 表示层, 使用Fragment和View来布局和显示信息, 以及响应用户动作;</p>
<p>2. Service: 运行时没有UI, 更新数据源和Activity, 触发Notification(通知)和广播Intent;</p>
<p>3. Content Provider:用来管理和持久化应用程序数据, 通常会与SQL数据库交互;</p>
<p>4. Intent:可以用来启动和停止Activity和Service, 在系统范围内或向目标Activity, Service或Broadcast Receiver广播消息, 以及请求对特定的一条数据执行操作;</p>
<p>5. Broadcast Receiver:使应用程序可以监听到那些匹配指定的过滤标准的Intent广播;</p>
<p>6. Widget: 是Broadcast Receiver的特殊变体, 可用于创建动态的交互式应用程序组件, 用户可以把这些组件添加到他们的主屏幕上;</p>
<p>7. Notification: 向用户发送提示信息, 用于吸引用户;</p>
<p>作者：csdn博客 Spike_King</p>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/OS/extra/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 11:42:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6/" title="组件">组件</a>, <a href="https://www.iamivan.net/tag/receiver/" title="receiver">receiver</a>, <a href="https://www.iamivan.net/tag/activity/" title="activity">activity</a>, <a href="https://www.iamivan.net/tag/android-%e8%bf%87%e6%bb%a4/" title="android 过滤">android 过滤</a>, <a href="https://www.iamivan.net/tag/broadcast/" title="broadcast">broadcast</a>, <a href="https://www.iamivan.net/tag/activity%e4%ba%a4%e4%ba%92fragment/" title="activity交互fragment">activity交互fragment</a>, <a href="https://www.iamivan.net/tag/android%e6%b7%bb%e5%8a%a0%e7%bb%84%e4%bb%b6/" title="Android添加组件">Android添加组件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android应用程序(Application)的主要组件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvK5RAp.html" rel="bookmark">Android应用程序四大组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于一个Android应用程序来说,是由四种构造块组织而成的,这四种构造块如下: Activity Intent Receiver Service Content Provider 但是,并不是每一个Android应用程序都需要这四种构造块,这不是必须的,某些时候, 我们只需要这四种中的几种组合成我们的应用. 当我们明确了我们的应用需要哪些构造块后,我们就需要在AndroidManifest.xml中登记 这些构造块的清单.这是一个XML配置文件,这个配置文件用于定义我们的应用程序的组件. 组件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwgY6Rz.html" rel="bookmark">Android应用程序四大组件之使用AIDL如何实现跨进程调用Service&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.问题描述 Android应用程序的四大组件中Activity.BroadcastReceiver.ContentProvider.Service都可以进行跨进程.在上一篇我们通过ContentProvider实现了不同应用之间的跨进程调用,但ContentProvider主要是提供数据的共享(如sqlite数据库),那么我们希望跨进程调用服务(Service)呢?Android系统采用了远程过程调用(RPC)方式来实现.与很多其他的基于RPC的解决方案一样,Android使用一种接口定义语言			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN25dPM.html" rel="bookmark">Android应用程序四大组件之使用AIDL如何实现跨进程调用Service</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.问题描述 Android应用程序的四大组件中Activity.BroadcastReceiver.ContentProvider.Service都可以进行跨进程.在上一篇我们通过ContentProvider实现了不同应用之间的跨进程调用,但ContentProvider主要是提供数据的共享(如sqlite数据库),那么我们希望跨进程调用服务(Service)呢?Android系统采用了远程过程调用(RPC)方式来实现.与很多其他的基于RPC的解决方案一样,Android使用一种接口定义语言			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWLQrp.html" rel="bookmark">《OpenGL ES 3&period;x游戏开发（上卷）》一1&period;3　Hello Android应用程序的开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 Hello Android应用程序的开发 本节首先将介绍如何在Eclipse中创建一个基于Android的Hello World应用程序,之后将简单介绍Android应用程序的调试,为读者以后学习高级开发铺平道路. 1.3.1 第一个Android应用程序 本小节将向读者介绍如何在Eclipse中创建一个基于Android的Hello World应用程序,基本步骤如下所列. (1)单击eclipse.exe,启动Eclipse,依次选择&quot;File/New/ Android Applica			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6OA7z.html" rel="bookmark">《Android 3D游戏开发技术宝典&mdash;&mdash;OpenGL ES 2&period;0》&mdash;&mdash;1&period;4节Hello Android应用程序的开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 Hello Android应用程序的开发 Android 3D游戏开发技术宝典--OpenGL ES 2.0 本节首先将介绍如何在Eclipse中创建一个基于Android的Hello World应用程序,之后将简单介绍Android应用程序的调试,为读者以后学习高级开发铺平道路. 1.4.1 第一个Android应用程序 本小节将向读者介绍如何在Eclipse中创建一个基于Android的Hello World应用程序,基本步骤如下所列. (1)首先打开Eclipse,然后依次选择Fi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZAlOM.html" rel="bookmark">《Android安全技术揭秘与防范》&mdash;&mdash;第2&period;1节Android应用程序概览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1 Android应用程序概览 Android开发秘籍(第2版) Android应用程序包含的功能五花八门,比如编辑文本.播放音乐.启动闹钟或是打开通讯录等.这些功能可以被分类对应到4类Android组件之中,如表2-1所示,每一类都对应一个Java基本类. 每个应用程序都由一个或多个这样的组件组成.当要用到某个组件时,Android操作系统就会将其初始化.其他应用程序在指定的权限内也可以使用它们. 随着在操作系统中展现多种功能(有些功能甚至与预期的应用程序无关,如呼入电话),每个组件经历了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKDYOb.html" rel="bookmark">Android应用程序模型之应用程序，任务，进程，线程分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲述了Android应用程序模型之应用程序,任务,进程,线程.分享给大家供大家参考,具体如下: 大多数操作系统,在应用程序所寄存的可执行程序映像(如Windows系统里的.exe).它所运行的进程以及和用户交互的图标和应用之间有一种严格的1对1关系.在Android系统里,这些关联要松散得多.并且重要的是要理解各种概念怎么样组成整体. 由于Android应用固有的灵活性,当实现这些不同方面的时候有一些基本术语需要加以理解: ① 一个Android包 (.apk)文件,其中包含一个应用程序的代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8A85Vz.html" rel="bookmark">Android应用程序安装过程源代码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自 :http://blog.csdn.net/luoshengyang/article/details/6766010 Android系统在启动的过程中,会启动一个应用程序管理服务PackageManagerService,这个服务负责扫描系统中特定的目录,找到里面的应用程序文件,即以Apk为后缀的文件,然后对这些文件进解析,得到应用程序的相关信息,完成应用程序的安装过程,本文将详细分析这个过程.         应用程序管理服务PackageManagerService安装应用程序的过程,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwqmdM.html" rel="bookmark">Android应用程序的组成部分和Manifest文件（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android应用程序由松散耦合的组件组成,并使用应用程序Manifest绑定到一起:应用程序Manifest描述了每一组件和它们之间的交互方式,还用于指定应用程序元数据.其硬件和平台要求.外部库以及必需的权限. 一.应用程序的基本结构模块 · Activity:应用程序的表示层.每个UI都是通过Activity类的一个或多个扩展实现的.Activity使用Fragment和视图来布局和显示信息,以及响应用户动作. · Service:应用程序中不可见的工作者.运行时没有UI,可以更新数据源和A			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zG012b.html" rel="bookmark" class="title">Photoshop打造经典大气的欧美褐色婚片</a>
					<div>
						作者的调色思路非常不错.过程:调色之前可以先把高光及暗部分离,高光单独调色,暗部也可以自由调色:然后把整体颜色调融合:后期美化人物,用画笔等给局部上色即可. 原图 最终效果 1.加强植物色彩反差: 新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1aljM.html" rel="bookmark" class="title">网页设计趋势&colon;更清晰的思路创意和想象网页设计</a>
					<div>
						文章描述:那么今天我们就给2012年的网页设计趋势有一个分析和美好的猜想,希望能和大家一起在新的一年里有一个更清晰的思路去创意和想象,去启发更多的可能. 人们一直念叨的2012年终于来了.人们也从开始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4AX8b.html" rel="bookmark" class="title">实例：创建SWT项目的原生库导入问题</a>
					<div>
						创建|问题|项目 对于 Eclipse 3.1.x 而言,并没有书中提到的那个&quot;org.eclipse.swt.win32_3.0.1&quot;目录,自然也不会有目录下的 swt.jar  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgrv6b.html" rel="bookmark" class="title">Flash动画制作技巧：总结&lbrack;Flash视频教程&rsqb;</a>
					<div>
						flash动画|技巧|教程|视频教程 Flash视频教程全集 Flash实例视频教程 全屏观看或直接下载.Swf文件					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RBl8p.html" rel="bookmark" class="title">UVa 10720：Graph Construction</a>
					<div>
						链接: http://uva.onlinejudge.org/index.php?option=com_onlinejudge&amp;Itemid=8&amp;category=113&amp;pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnaZQz.html" rel="bookmark" class="title">一种基于Struts框架的RBAC实现</a>
					<div>
						1 引言 基于角色访问控制( role - based access control,RBAC) 是目前较为成熟的安全访问控制模型,它灵活地解决了权限管理.资源管理及权限审查问题,非常适合基于Web的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKgXAM.html" rel="bookmark" class="title">深入理解JavaScript的React框架的原理</a>
					<div>
						  这篇文章主要介绍了JavaScript的React框架的原理,包括其与AngularJS的比较,需要的朋友可以参考下 如果你在两个月前问我对React的看法,我很可能这样说: 我的模板在哪里?ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9ELWKM.html" rel="bookmark" class="title">如何快速浏览脱机网页</a>
					<div>
						  在浏览脱机网页之前,都需要将网页保存起来,这样比较浪费时间,这里深度技术官网小编介绍一种更简单的方法,方便快速浏览脱机网页. 在浏览器的地址栏中,己打开网页的网址前面都有一个小图标,用鼠标按住这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWL1op.html" rel="bookmark" class="title">天正cad打印设置线宽的方法</a>
					<div>
						天正cad打印设置线宽的方法   cad线宽 天正cad打印设置线宽的方法 一.打开天正cad; 二.选择打印; 三.选择打印样式,点击右侧图标; 四.在打印样式表编辑器上设置,颜色,颜色选择黑色;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7OwWz.html" rel="bookmark" class="title">工作流引擎在视频网站架构中的应用</a>
					<div>
						如果对工作流引擎没有了解过的同学可以先看前一篇文章: 土制状态机在工作流引擎中的应用http://ahuaxuan.iteye.com/blog/505124 /** * @author: ahuax ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQL8Zp.html" rel="bookmark" class="title">xenomai安装</a>
					<div>
						今天我又试了一次xenomai的安装. 我在google上搜&quot;xenomai install&quot;,找到以下面的网页: http://www.xenomai.org/documenta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ18mz.html" rel="bookmark" class="title">ios-presentmodalview添加子视图</a>
					<div>
						问题描述 presentmodalview添加子视图 在应用中需要用presentmodalview 类型动画添加子视图. 但是在CATransition中我没有找到任何转换的方法 同时,在UItra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZW1ab.html" rel="bookmark" class="title">转载：【字符集】&OpenCurlyDoubleQuote;客户终端字符集&rdquo;、&OpenCurlyDoubleQuote;NLS&lowbar;LANG&rdquo;环境变量以及&OpenCurlyDoubleQuote;数据库字符集&rdquo;</a>
					<div>
						转载:http://blog.itpub.net/519536/viewspace-615345 自从选用了AL32UTF8字符集做为生产数据库字符集之后,就一直奔走于&quot;乱码&quot;与& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRW0Eb.html" rel="bookmark" class="title">为何智能路由器们要用开源系统&quest;</a>
					<div>
						小米日前正式推出了小米路由器,在业界又一次引发了关于&quot;抢占客厅&quot;讨论.这两款小米路由使用的miWiFi系统,不出所料是基于开源OpenWRT(OpenWRT也基于Linux开发)系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDev6Bb.html" rel="bookmark" class="title">DT科技评论第26期：人工智能界年度顶级会议AAAI 2017最佳论文出炉</a>
					<div>
						DT科技评论 Data Technology Review 第 26 期           人民网研究院,阿里云研究中心 本期目录 人工智能界年度顶级会议AAAI 2017最佳论文出炉 巨舰再起航  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40PqLz.html" rel="bookmark" class="title">Javascript自定义函数</a>
					<div>
						$() 实至名归,最值钱的函数,可以节省多少流量啊.最先由Prototype.js实现的,那个洪荒时代遗留下来的珍兽,现在有许多变种: 01.function $() { 02.    var ele ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq8Kvz.html" rel="bookmark" class="title">《Adobe Illustrator CS6中文版经典教程（彩色版）》&mdash;第0课0&period;11节创建与应用图案</a>
					<div>
						0.11 创建与应用图案 Adobe Illustrator CS6中文版经典教程(彩色版) 除了颜色外,色板面板中也可以包含图案色板.在默认色板面板中,Illustrator提供了各种色板样例,借助 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmXO6b.html" rel="bookmark" class="title">关于移动web开发过程中的&rdquo;点透&OpenCurlyDoubleQuote;问题</a>
					<div>
						先说说故事发生的场景,举个栗子如下图: A是遮罩层,B是正常的DOM,C是B上的某个元素,这里是链接.场景是点击A的时候A消失,结果点到了C,页面发生了跳转,这显然不是咱想要的~ 下面我们来监测点击事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmZJab.html" rel="bookmark" class="title">腾讯昨日发布的财报表明</a>
					<div>
						8月11日早间消息,腾讯(00700.HK)昨日发布的财报表明,其核心业务QQ的最高同时在线帐户,自2004年上市以来首次出现季度环比下降.同期,腾讯持有的现金及现金等价物总额减少近三成,而上半年腾讯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRvOVb.html" rel="bookmark" class="title">c&plus;&plus;广度优先重拍九宫-广度优先实现的重排九宫 运行不出结果  求大神改改</a>
					<div>
						问题描述 广度优先实现的重排九宫 运行不出结果 求大神改改 #include&lt;iostream&gt; #include&lt;vector&gt; #include&lt;string&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLQ5NM.html" rel="bookmark" class="title">代码-C&num; 存在两个List 比较两个List值是否相等</a>
					<div>
						问题描述 C# 存在两个List 比较两个List值是否相等 C# 存在两个List,分别都有ID,现在需要比较两个List中的ID值,然后把具有相同ID值的数据取出,存放在一个新的List中 求大神 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg7XAM.html" rel="bookmark" class="title">死性不改！2015年全球最差密码还是它</a>
					<div>
						不知你设置的密码是否足够安全呢?近日,德国一研究院公布了2015年度最差的10个密码,其中最差密码排名第一的是&quot;123456&quot;,而去年该密码也是高居榜首. 据有关报道,德国波茨坦大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRKvkp.html" rel="bookmark" class="title">Apache、Nginx下Font Awesome在 Firefox 中不显示问题解决方法&lowbar;Linux</a>
					<div>
						一.Nginx服务器解决方法 服务器使用的是 Nginx,要在响应的头部添加 Access-Control-Allow-Origin 字段,添加方法是用 add_header 指令: 配置例子: 复制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqBdDp.html" rel="bookmark" class="title">mac-asp&period;net 2&period;0 C&num;获取客户端MAC地址。</a>
					<div>
						问题描述 asp.net 2.0 C#获取客户端MAC地址. public partial class 测试 : System.Web.UI.Page { [DllImport(&quot;Iphlp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgWxkM.html" rel="bookmark" class="title">WPF自定义控件与样式&lpar;10&rpar;-进度控件ProcessBar自定义样</a>
					<div>
						原文:WPF自定义控件与样式(10)-进度控件ProcessBar自定义样 一．前言 申明:WPF自定义控件与样式是一个系列文章,前后是有些关联的,但大多是按照由简到繁的顺序逐步发布的等,若有不明白的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5wZOp.html" rel="bookmark" class="title">软件科技有限公司转让，包括软件系统源代码，开发员工，现成客户资源，办公设备场所，营业执照&period;</a>
					<div>
						问题描述 软件科技有限公司转让,包括软件系统源代码,开发员工,现成客户资源,办公设备场所,营业执照,广东东莞市区内,有多套行业管/理软件(模具厂/五金厂/电子厂/制衣厂/餐饮物流配送管理)且每一套都有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QWyDp.html" rel="bookmark" class="title">Android实现悬浮对话框代码&lowbar;Android</a>
					<div>
						先给大家展示下效果图,大家觉效果满意,请参考实现代码. 直接上代码: private void setDialog(){ View view = getLayoutInflater().inflate ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLYr3M.html" rel="bookmark" class="title">php更新mysql后获取改变行数的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php更新mysql后获取改变行数的方法.分享给大家供大家参考.具体分析如下: 一个php更新mysql后获取改变的行数,在php中提供mysql函数来获取最后执行查询所影响的记录数:m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8Je0p.html" rel="bookmark" class="title">用dsoframer&period;ocx替换Word中的书签，提示 对象不支持该属性或方法</a>
					<div>
						问题描述 在项目中调用dsoframer.ocx对Word中的书签进行替换,代码document.all.oframe.Open(&quot;http://localhost/mydoc.doc&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE6JBz.html" rel="bookmark" class="title">手工注射php学习&lowbar;漏洞研究</a>
					<div>
						代码:  $conn=sql_connect($dbhost, $dbuser, $dbpswd, $dbname);  $password = md5($password);  $q = &quot ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
